<?php

namespace Lc\CaracoleBundle\Controller\Site;

use Lc\CaracoleBundle\Controller\ControllerTrait;
use Lc\CaracoleBundle\Resolver\SectionResolver;
use Lc\SovBundle\Controller\Site\PageAdminController as SovPageAdminController;

abstract class PageAdminController extends SovPageAdminController
{
    use ControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        return $this->getPageContainer()
                ->getFactory()
                ->setSection($this->getSectionCurrent())
                ->create();
    }
}
